LINUX.ORG.RU

прозрачность активного окна manjaro xfce

 , ,


1

1

Помогите, гуглю уже 2й день. Как сделать активные окна в xfce manjaro прозрачными? Ставил compiz, он дает то что надо, но перестает работать переключение между рабочими столами, это не вариант. Всякие удержания alt и скролл мышью тоже не работают, я так понял это только в xububtu пашет. в стандартном менеджере окон есть настройки прозрачности для всего, перетаскавания, неактивного окна и т.д. но для активного ничего нигде нет. Буду очень признателен ))). Спасибо за любое внимание!!

PS пишу в vscode, и когда на окне vscode нет немного прозрачности, это выглядит убого, а когда полупрозрачность немного, можно писать что угодно без устали)))). Может я немного больной, но мне нравится хД. и на KDE не хочется идти (

Открываешь Window Manager Tweaks.

Там нужно найти вкладку Accessibility. Снимаешь там галочку с пункта «Use mouse wheel on title bar to roll up the window».

Теперь откываешь Settings Editor.

В дереве настроек слева ищешь xfwm4. Далее справа ищешь лист zoom_desktop, снимаешь галочку.

Теперь наводишь мышь на заголовок любого окна, удерживаешь alt и крутишь колесо мыши.

serioja ()

"...но перестает работать переключение между рабочими столами..."

Может я чего не понял, но...

За Xfce ничего не скажу, а в compiz'е для переключения между рабочими столами надо включить и настроить плагин(ы) «Expo» и/или «Viewport Switcher». Ещё, если включен «Куб рабочего стола», переключение можно настроить во «Вращение куба». Будет куча вариантов переключения между рабочими столами... )

mobi62 ()
Ответ на: комментарий от mobi62

вы все верно поняли

На данный момент я его удалил, но наверно надо попробовать еще раз его проинсталлить и проверить то, что вы говорите. Я не смог установить доп пакет для него.

sudo pacman -S xfce4-panel-compiz
resolving dependencies...
looking for conflicting packages...
:: xfce4-panel-compiz and xfce4-panel-gtk3 are in conflict (xfce4-panel). Remove xfce4-panel-gtk3? [y/N] y
error: failed to prepare transaction (could not satisfy dependencies)
:: removing xfce4-panel-gtk3 breaks dependency 'xfce4-panel-gtk3' required by xfce4-whiskermenu-plugin-gtk3

и сразу определил его как багнутое существо ))). Спасибо Вам большое. )

StarryNights ()
Ответ на: комментарий от serioja

Более тонкая настройка возможна?

Подскажите пожалуйта, а можно менять шаг интенсивности прозрачности? После одного шага скролла колеса мыши чтобы из значания непрозрачности вычитало не 10% например, а 5%? или я слишком много захотел? ) И сохранить это значение для приложения нельзя? После закрытия приложения значение непрозрачности возвращается на значение поумолчанию.

StarryNights ()
Ответ на: вы все верно поняли от StarryNights

Не знаю, как вы научили pacman устанавливать пакеты из AUR и, что это за xfce4-panel-gtk3, но у меня pikaur заменил xfce4-panel на xfce4-panel-compiz без всякой ругани. Я сразу заменил xfwm4 на compiz из-за удобства управления окнами и рабочими столами. И заменил xfce4-notifyd (сообщения) на dunst (как по мне, больше возможностей по настройке).

mobi62 ()